Skip to main content
POST
/
networks
/
advertiserstable
List Advertisers
curl --request POST \
  --url https://api.eflow.team/v1/networks/advertiserstable \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "search_terms": [
    {
      "search_type": "name",
      "value": "DocTest"
    }
  ],
  "filters": {
    "account_status": "active",
    "account_manager_ids": [
      2
    ],
    "labels": [
      "updated-label"
    ]
  }
}
'
{
  "advertisers": [
    {
      "network_advertiser_id": 66,
      "network_id": 1,
      "name": "DocTest Updated Advertiser",
      "account_status": "active",
      "account_manager_id": 2,
      "account_manager_name": "Justin Black",
      "sales_manager_id": 2,
      "sales_manager_name": "Justin Black",
      "today_revenue": "$0.00",
      "time_created": 1774618267,
      "time_saved": 1774619075,
      "labels": [
        "updated-label"
      ],
      "verification_token": "updatedtoken123"
    },
    {
      "network_advertiser_id": 13,
      "network_id": 1,
      "name": "William Fowler Inc.",
      "account_status": "active",
      "account_manager_id": 2,
      "account_manager_name": "Justin Black",
      "sales_manager_id": 0,
      "sales_manager_name": "",
      "today_revenue": "$0.00",
      "time_created": 1774296114,
      "time_saved": 1774296114,
      "labels": null,
      "verification_token": ""
    }
  ],
  "paging": {
    "page": 1,
    "page_size": 100,
    "total_count": 9
  }
}
Retrieve a paginated list of advertisers. Supports search filters, sorting, and pagination to help you find and browse advertisers programmatically. Returns advertiser data with account manager names and today’s revenue.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

page
integer
default:1

Page number (1-based).

page_size
integer
default:50

Number of results per page.

Required range: x <= 2000

Body

application/json
search_terms
object[]

Text search filters.

filters
object

Structured filters to narrow results.

Response

200 - application/json
advertisers
object[]
paging
object